Create Git configuration
Create a new Git configuration for a shared model, or a shared extension model in the Develop independently branch workflow. A shared extension’s Git configuration is its own, separate from its parent model’s.
Authorizations
Can be either an Organization API Key or Personal Access Token (PAT).
Include in the Authorization header as: Bearer YOUR_TOKEN
Path Parameters
Body
The git provider type. Use auto for automatic detection based on the SSH URL.
auto- Automatically detect the providergithub- GitHubgitlab- GitLabazure_devops- Azure DevOpsbitbucket- Bitbucket Cloudbitbucket_datacenter- Bitbucket Data Center (self-hosted)
auto, github, gitlab, azure_devops, bitbucket, bitbucket_datacenter "github"
Applicable to SSH authentication. Supply your own RSA or ED25519 private key in PEM format (OpenSSH, PKCS#1, or PKCS#8) instead of using an Omni-generated keypair. Authorize the matching public key with your first, then set it here. See Rotate Git SSH keys with the API for step-by-step instructions.
"-----BEGIN OPENSSH PRIVATE KEY-----\n..."
Applicable to SSH authentication. Passphrase used to decrypt an encrypted deployPrivateKey. Omni uses it once to decrypt the key, then stores the key under its own encryption at rest. The passphrase itself is not retained. See Rotate Git SSH keys with the API for step-by-step instructions.
"my-secure-passphrase"
Response
Git configuration created successfully

